<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<beans xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee 
		http://xmlns.jcp.org/xml/ns/javaee/beans_1_1.xsd"
	bean-discovery-mode="all">
	<decorators>
		<class>com.scytl.products.ov.vw.services.domain.service.VotingCardStateServiceDecorator</class>
		<class>com.scytl.products.ov.vw.services.infrastructure.remote.AuthenticationTokenRepositoryDecorator</class>
		<class>com.scytl.products.ov.vw.services.infrastructure.remote.ValidationRepositoryDecorator</class>
		<class>com.scytl.products.ov.vw.services.infrastructure.remote.VoteRepositoryDecorator</class>
		<class>com.scytl.products.ov.vw.services.infrastructure.remote.ConfirmationInformationRepositoryDecorator</class>
		<class>com.scytl.products.ov.vw.services.infrastructure.remote.VoteCastCodeRepositoryDecorator</class>
	</decorators>
</beans>